using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace EdFi.OdsApi.Models.Resources 
{
    public class BellSchedule 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// A reference to the related CalendarDate resource.
        /// </summary>
        public CalendarDateReference calendarDateReference { get; set; }

        /// <summary>
        /// Name or title of the BellSchedule.
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// The grade levels the particular BellSchedule applies to.
        /// </summary>
        public string gradeLevelDescriptor { get; set; }

        /// <summary>
        /// An unordered collection of bellScheduleMeetingTimes.  The times at which this BellSchedule is intended to meet.
        /// </summary>
        public List<BellScheduleMeetingTime> meetingTimes { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

