using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace EdFi.OdsApi.Models.Resources 
{
    public class GradingPeriodReference 
    {
        /// <summary>
        /// The name of the period for which grades are reported.
        /// </summary>
        public string descriptor { get; set; }

        /// <summary>
        /// The identifier assigned to a school by the State Education Agency (SEA).
        /// </summary>
        public int? schoolId { get; set; }

        /// <summary>
        /// Month, day, and year of the first day of the GradingPeriod.
        /// </summary>
        public DateTime? beginDate { get; set; }

        /// <summary>
        /// Represents a hyperlink to the related gradingPeriod resource.
        /// </summary>
        public Link link { get; set; }

        }
}

