using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace EdFi.OdsApi.Models.Resources 
{
    public class ObjectiveAssessmentReference 
    {
        /// <summary>
        /// A unique number or alphanumeric code assigned to an assessment.
        /// </summary>
        public string assessmentIdentifier { get; set; }

        /// <summary>
        /// A unique number or alphanumeric code assigned to a space, room, site, building, individual, organization, program, or institution by a school, school system, a state, or other agency or entity.
        /// </summary>
        public string identificationCode { get; set; }

        /// <summary>
        /// Namespace for the Assessment.
        /// </summary>
        public string @namespace { get; set; }

        /// <summary>
        /// Represents a hyperlink to the related objectiveAssessment resource.
        /// </summary>
        public Link link { get; set; }

        }
}

