using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace EdFi.OdsApi.Models.Resources 
{
    public class StudentIndicator 
    {
        /// <summary>
        /// The name of the indicator or metric.
        /// </summary>
        public string indicatorName { get; set; }

        /// <summary>
        /// The name for a group of indicators.
        /// </summary>
        public string indicatorGroup { get; set; }

        /// <summary>
        /// The value of the indicator or metric.
        /// </summary>
        public string indicator { get; set; }

        /// <summary>
        /// The date when the indicator was assigned or computed.
        /// </summary>
        public DateTime? beginDate { get; set; }

        /// <summary>
        /// The date the indicator or metric was sunset or removed.
        /// </summary>
        public DateTime? endDate { get; set; }

        /// <summary>
        /// The person, organization, or department that designated the program association.
        /// </summary>
        public string designatedBy { get; set; }

        }
}

