using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace EdFi.OdsApi.Models.Types 
{
    public class EntryType 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// This column is deprecated.
        /// </summary>
        public string codeValue { get; set; }

        /// <summary>
        /// The description for the Entry type.
        /// </summary>
        public string description { get; set; }

        /// <summary>
        /// Key for Entry
        /// </summary>
        public int? entryTypeId { get; set; }

        /// <summary>
        /// The value for the Entry type.
        /// </summary>
        public string shortDescription { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

